*************************************************************************
*																		*
*					Campaign Panel Book Master Chapter 2				*
*																		*
*************************************************************************	

cd "${path}\Reproducible Do-Files\"

clear mata
clear matrix
set more off
set scrollbufsize 2000000

use "Data/data2009_2013 participants 7 waves.dta", clear

* Step 1: Creation of control variables, auxilliary variables etc. 
do "${path}\Reproducible Do-Files\Chapter 2/modification chapter 2.do"

do "${path}\Reproducible Do-Files\Chapter 2\coding incidents.do"

do "${path}\Reproducible Do-Files\Chapter 2\coding reception.do"

* Step 2: Dynamic of Receptionfrequencies
* Tables 2, 3, 4
do "${path}\Reproducible Do-Files\Chapter 2\dynamics reception.do"

* Step 3: Exposure by Involvement
* Tables 5, 6
do "${path}\Reproducible Do-Files\Chapter 2\exposure by involvement.do"



* Step 4: Additional Tables
* Tables 7, 8, 9, 10, 11, 12
do "${path}\Reproducible Do-Files\Chapter 2\table 7.do"

do "${path}\Reproducible Do-Files\Chapter 2\table 8 9 11 12.do"

do "${path}\Reproducible Do-Files\Chapter 2\table 10.do"

* Tables 13 and 14
do "${path}\Reproducible Do-Files\Chapter 2\dynamic incidents.do"

* Step 5: Figure 2
do "${path}\Reproducible Do-Files\Chapter 2\figure 2.do"


* Step 6: Figure 3
do "${path}\Reproducible Do-Files\Chapter 2\code media content 2013 and create figure 3.do"

* Step 7: Figure 4
do "${path}\Reproducible Do-Files\Chapter 2\figure 4.do"

